jif.types.principal

## Class UnknownPrincipal_c

- java.lang.Object
- - polyglot.types.TypeObject_c
  - - jif.types.Param_c
    - - jif.types.principal.Principal_c
      - - jif.types.principal.UnknownPrincipal_c

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, ActsForParam, Param, Principal, UnknownPrincipal, polyglot.types.TypeObject, polyglot.util.Copy<polyglot.types.TypeObject>

      public class UnknownPrincipal_c
      extends Principal_c
      implements UnknownPrincipal

  An implementation of the `UnknownPrincipal` interface.
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface polyglot.util.Copy

      `polyglot.util.Copy.Util`

  - ### Field Summary

    - ### Fields inherited from class jif.types.principal.Principal_c

      `variables`

    - ### Fields inherited from class polyglot.types.TypeObject_c

      `position, ts`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `UnknownPrincipal_c(JifTypeSystem ts, polyglot.util.Position pos)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equalsImpl(polyglot.types.TypeObject o)`
    `int` | `hashCode()`
    `boolean` | `isCanonical()`
    `boolean` | `isRuntimeRepresentable()`
    `polyglot.ast.Expr` | `toJava(JifToJavaRewriter rw, polyglot.ast.Expr thisQualifier)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class jif.types.principal.Principal_c

      `hasVariables, isBottomPrincipal, isTopPrincipal, labelCheck, simplify, subst, throwTypes, variables`

    - ### Methods inherited from class jif.types.Param_c

      `typeSystem`

    - ### Methods inherited from class polyglot.types.TypeObject_c

      `copy, equals, position`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface jif.types.principal.Principal

      `hasVariables, isBottomPrincipal, isTopPrincipal, labelCheck, simplify, subst, throwTypes, variables`

    - ### Methods inherited from interface jif.types.Param

      `typeSystem`

    - ### Methods inherited from interface polyglot.types.TypeObject

      `position`

    - ### Methods inherited from interface polyglot.util.Copy

      `copy`

- - ### Constructor Detail

    - #### UnknownPrincipal_c

          public UnknownPrincipal_c(JifTypeSystem ts,
                                    polyglot.util.Position pos)

  - ### Method Detail

    - #### isRuntimeRepresentable

          public boolean isRuntimeRepresentable()

      Specified by:
        `isRuntimeRepresentable` in interface `Param`
      Specified by:
        `isRuntimeRepresentable` in class `Principal_c`

    - #### isCanonical

          public boolean isCanonical()

      Specified by:
        `isCanonical` in interface `Param`
      Specified by:
        `isCanonical` in interface `polyglot.types.TypeObject`
      Specified by:
        `isCanonical` in class `Principal_c`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### toJava

          public polyglot.ast.Expr toJava(JifToJavaRewriter rw,
                                          polyglot.ast.Expr thisQualifier)
                                   throws polyglot.types.SemanticException

      Specified by:
        `toJava` in interface `ActsForParam`
      Overrides:
        `toJava` in class `Principal_c`
        `thisQualifier` - an Expr representing the translated "this" reference.
      Throws:
        `polyglot.types.SemanticException`

    - #### equalsImpl

          public boolean equalsImpl(polyglot.types.TypeObject o)

      Specified by:
        `equalsImpl` in interface `polyglot.types.TypeObject`
      Specified by:
        `equalsImpl` in class `Principal_c`

    - #### hashCode

          public int hashCode()

      Specified by:
        `hashCode` in class `Principal_c`